Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.9 Release 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.browser
Class WebBrowserEvent

    java.lang.Object
      java.util.EventObject
          org.jdesktop.jdic.browser.WebBrowserEvent

All Implemented Interfaces:
  java.io.Serializable

public class WebBrowserEvent
extends java.util.EventObject

A `WebBrowserEvent` is dispatched by a `IWebBrowser` object to indicate a defined IWebBrowser event occured. The event is passed to every `WebBrowserListener` object that was registered to receive such events using IWebBrowser's `addWebBrowserListener` method.

The object that implements the `WebBrowserListener` interface or inherits the `WebBrowserAdapter` class gets this `WebBrowserEvent` when the event occurs. The listener is therefore spared the details of processing individual IWebBrowser events.

See Also:
  `WebBrowserListener`, `IWebBrowser`, Serialized Form

Field Summary
`static int` | `WEBBROWSER_BEFORE_NAVIGATE` Event fired before a navigation occurs in the given object (on either a window or frameset element).
`static int` | `WEBBROWSER_BEFORE_NEWWINDOW` Event fired when a new window is to be created.
`static int` | `WEBBROWSER_COMMAND_STATE_CHANGE` Event fired when the enabled state of a command changes.
`static int` | `WEBBROWSER_DESTROYWINDOW_SUCC` Event fired when destroy of IWebBrowser Window succeeds.
`static int` | `WEBBROWSER_DOCUMENT_COMPLETED` Event fired when the document has loaded completely.
`static int` | `WEBBROWSER_DOWNLOAD_COMPLETED` Event fired when a navigation operation finishes, is halted, or fails.
`static int` | `WEBBROWSER_DOWNLOAD_ERROR` Event fired when an error occurs during a navigation operation.
`static int` | `WEBBROWSER_DOWNLOAD_PROGRESS` Event fired when the progress of a navigation operation is updated on the object.
`static int` | `WEBBROWSER_DOWNLOAD_STARTED` Event fired when a navigation operation is beginning.
`static int` | `WEBBROWSER_EXECUTESCRIPT` Event fired when a javascript string is requrested to be executed by a WebBrowser object's executeScript method.
`static int` | `WEBBROWSER_FOCUS_REQUEST` Event fired when IWebBrowser need to get Focus.
`static int` | `WEBBROWSER_GETCONTENT` Event fired when the content of the currently loaded page is requested by a IWebBrowser object's getContent method.
`static int` | `WEBBROWSER_INIT_FAILED` Event fired when the initialization of IWebBrowser fails.
`static int` | `WEBBROWSER_INIT_WINDOW_SUCC` Event fired when initialization of IWebBrowser Window succeeds.
`static int` | `WEBBROWSER_RETURN_URL` Event fired when the current URL is requested by a `IWebBrowser` object's `getURL` method.
`static int` | `WEBBROWSER_SETCONTENT` Event fired when the content of the currently loaded page is requested to be set by a WebBrowser object's setContent() method.
`static int` | `WEBBROWSER_STATUSTEXT_CHANGE` Event fired when the status bar text changes.
`static int` | `WEBBROWSER_TITLE_CHANGE` Event fired when the title of a document changes.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WebBrowserEvent(IWebBrowser source, int id)` Constructs a `WebBrowserEvent` object with source and event id.
`WebBrowserEvent(IWebBrowser source, int id, java.lang.String data)` Constructs a `WebBrowserEvent` object with source, event id and event data.

Method Summary
`java.lang.String` | `getData()` Returns the event data.
`int` | `getID()` Returns the event ID.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WEBBROWSER_BEFORE_NAVIGATE

    public static final int WEBBROWSER_BEFORE_NAVIGATE

  Event fired before a navigation occurs in the given object (on either a window or frameset element).

  See Also:
    Constant Field Values

### WEBBROWSER_BEFORE_NEWWINDOW

    public static final int WEBBROWSER_BEFORE_NEWWINDOW

  Event fired when a new window is to be created.

  See Also:
    Constant Field Values

### WEBBROWSER_DOWNLOAD_STARTED

    public static final int WEBBROWSER_DOWNLOAD_STARTED

  Event fired when a navigation operation is beginning.

  See Also:
    Constant Field Values

### WEBBROWSER_DOWNLOAD_COMPLETED

    public static final int WEBBROWSER_DOWNLOAD_COMPLETED

  Event fired when a navigation operation finishes, is halted, or fails. This may be fired multiple times if a document has pop-up windows or frames.

  See Also:
    Constant Field Values

### WEBBROWSER_DOWNLOAD_PROGRESS

    public static final int WEBBROWSER_DOWNLOAD_PROGRESS

  Event fired when the progress of a navigation operation is updated on the object.

  See Also:
    Constant Field Values

### WEBBROWSER_DOWNLOAD_ERROR

    public static final int WEBBROWSER_DOWNLOAD_ERROR

  Event fired when an error occurs during a navigation operation.

  See Also:
    Constant Field Values

### WEBBROWSER_DOCUMENT_COMPLETED

    public static final int WEBBROWSER_DOCUMENT_COMPLETED

  Event fired when the document has loaded completely.

  Since:
    0.9
  See Also:
    Constant Field Values

### WEBBROWSER_RETURN_URL

    public static final int WEBBROWSER_RETURN_URL

  Event fired when the current URL is requested by a `IWebBrowser` object's `getURL` method.

  See Also:
    Constant Field Values

### WEBBROWSER_COMMAND_STATE_CHANGE

    public static final int WEBBROWSER_COMMAND_STATE_CHANGE

  Event fired when the enabled state of a command changes.

  See Also:
    Constant Field Values

### WEBBROWSER_TITLE_CHANGE

    public static final int WEBBROWSER_TITLE_CHANGE

  Event fired when the title of a document changes.

  See Also:
    Constant Field Values

### WEBBROWSER_STATUSTEXT_CHANGE

    public static final int WEBBROWSER_STATUSTEXT_CHANGE

  Event fired when the status bar text changes.

  See Also:
    Constant Field Values

### WEBBROWSER_INIT_FAILED

    public static final int WEBBROWSER_INIT_FAILED

  Event fired when the initialization of IWebBrowser fails.

  See Also:
    Constant Field Values

### WEBBROWSER_INIT_WINDOW_SUCC

    public static final int WEBBROWSER_INIT_WINDOW_SUCC

  Event fired when initialization of IWebBrowser Window succeeds.

  See Also:
    Constant Field Values

### WEBBROWSER_FOCUS_REQUEST

    public static final int WEBBROWSER_FOCUS_REQUEST

  Event fired when IWebBrowser need to get Focus.

  See Also:
    Constant Field Values

### WEBBROWSER_DESTROYWINDOW_SUCC

    public static final int WEBBROWSER_DESTROYWINDOW_SUCC

  Event fired when destroy of IWebBrowser Window succeeds.

  See Also:
    Constant Field Values

### WEBBROWSER_GETCONTENT

    public static final int WEBBROWSER_GETCONTENT

  Event fired when the content of the currently loaded page is requested by a IWebBrowser object's getContent method.

  See Also:
    Constant Field Values

### WEBBROWSER_SETCONTENT

    public static final int WEBBROWSER_SETCONTENT

  Event fired when the content of the currently loaded page is requested to be set by a WebBrowser object's setContent() method.

  See Also:
    Constant Field Values

### WEBBROWSER_EXECUTESCRIPT

    public static final int WEBBROWSER_EXECUTESCRIPT

  Event fired when a javascript string is requrested to be executed by a WebBrowser object's executeScript method.

  See Also:
    Constant Field Values

Constructor Detail

### WebBrowserEvent

    public WebBrowserEvent(IWebBrowser source,
                           int id)

  Constructs a `WebBrowserEvent` object with source and event id.

Parameters:
  `source` - the IWebBrowser which owns this event.
  `id` - the id of the event.

### WebBrowserEvent

    public WebBrowserEvent(IWebBrowser source,
                           int id,
                           java.lang.String data)

  Constructs a `WebBrowserEvent` object with source, event id and event data.

Parameters:
  `source` - the WebBrowser which owns this event.
  `id` - the id of the event.
  `data` - the data of the event.

Method Detail

### getID

    public int getID()

  Returns the event ID.

### getData

    public java.lang.String getData()

  Returns the event data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V0.9 Release 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.